<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>
  <extension
         point="org.eclipse.ui.menus">
      <menuContribution
            locationURI="popup:org.eclipse.jdt.ui.PackageExplorer">
         <command
               commandId="eu.petlack.jadean.commands.dependencyAnalyzer"
               label="Dependency Analyzer"
               style="push">
            <visibleWhen
                  checkEnabled="false">
               <with
                     variable="selection">
                  <test
                        property="eu.petlack.jadean.ui.properties.projectNature"
                        value="nature">
                  </test>
               </with>
            </visibleWhen>           
         </command>
      </menuContribution>     
		<menuContribution
            locationURI="popup:org.eclipse.ui.navigator.ProjectExplorer">
         <command
               commandId="eu.petlack.jadean.commands.dependencyAnalyzer"
               label="Dependency Analyzer"
               style="push">
            <visibleWhen
                  checkEnabled="false">
               <with
                     variable="selection">
                  <test
                        property="eu.petlack.jadean.ui.properties.projectNature"
                        value="nature">
                  </test>
               </with>
            </visibleWhen>
         </command>
      </menuContribution>      
   </extension>
   <extension
         point="org.eclipse.ui.commands">
      <command
            defaultHandler="jadean.ui.handlers.BaseDependencyAnalyzerHandler"
            id="eu.petlack.jadean.commands.dependencyAnalyzer"
            name="Dependency Analyzer">
      </command>
   </extension>
   <extension
         point="org.eclipse.ui.newWizards">
      <wizard
            class="jadean.ui.java.wizards.DependencyAnalyzerWizard"
            id="eu.petlack.jadean.ui.java.wizards.dependencyAnalyzerWizard"
            name="Dependency Analyzer Wizard">
      </wizard>
   </extension>
   <extension
         point="org.eclipse.core.expressions.propertyTesters">
      <propertyTester
            class="jadean.ui.propertytesters.ContextMenuPropertyTester"
            id="eu.petlack.jadean.ui.propertytesters.ContextMenuPropertyTester"
            namespace="eu.petlack.jadean.ui.properties"
            properties="projectNature"
            type="java.lang.Object">
      </propertyTester>
   </extension>
</plugin>
